PETSc version 3.15.5
Fix/Edit manual page

# VecReplaceArray

Allows one to replace the array in a vector with an array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecReplaceArray(Vec vec,const PetscScalar array[])

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### Notes

This permanently replaces the array and frees the memory associated with the old array.

The memory passed in MUST be obtained with PetscMalloc() and CANNOT be freed by the user. It will be freed when the vector is destroyed.

Not supported from Fortran

### See Also

VecGetArray(), VecRestoreArray(), VecPlaceArray(), VecResetArray()

### Level

developer

### Location

src/vec/vec/interface/rvector.c

### Implementations

VecReplaceArray_Seq in src/vec/vec/impls/seq/dvec2.c
VecReplaceArray_SeqKokkos in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecReplaceArray_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda.c
VecReplaceArray_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages